#!/bin/sh
INFO=$( echo $PWD )/tilemill-Info
TAG=
COMMIT=
CURRENT=
CURRENT_BUILD=
GITPATH=/usr/bin:/usr/local/bin:/usr/local/git/bin
PATH=$PATH:$GITPATH; export PATH

if [ -z $( which git ) ]; then
  echo "Unable to find git binary in \$GITPATH"
  exit 1
fi

TAG=$( git describe --tags --abbrev=0 | sed -e 's/^v//' )

CURRENT=$( defaults read "$INFO" CFBundleShortVersionString )

if [ $CURRENT != $TAG ]; then
    # output for Xcode logging
    echo "Updating CFBundleShortVersionString to $TAG"

    # write it to the Info.plist
    defaults write "$INFO" CFBundleShortVersionString $TAG  
else
    # output for Xcode logging
    echo "CFBundleShortVersionString already at $TAG"
fi

BUILD=3$( echo $TAG | sed -e 's/\.//g' )

CURRENT_BUILD=$( defaults read "$INFO" CFBundleVersion )

if [ $CURRENT_BUILD != $BUILD ]; then
    # output for Xcode logging
    echo "Updating CFBundleVersion to $BUILD"

    # write it to the Info.plist
    defaults write "$INFO" CFBundleVersion $BUILD  
else
    # output for Xcode logging
    echo "CFBundleVersion already at $BUILD"
fi
